Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atomikos.icatch.jca
Class XidLogAdministrator

    java.lang.Object
      com.atomikos.icatch.jca.XidLogAdministrator

All Implemented Interfaces:
  LogAdministrator

    public class XidLogAdministrator

extends Object
implements LogAdministrator

A log administrator for performing recovery-related actions in inbound JCA transaction cases.

Method Summary
`void` | `deregisterLogControl(LogControl control)` De-registers (removes) a LogControl instance from the administrator.
`void` | `forget(Xid xid)`
`static XidLogAdministrator` | `getInstance()`
`Xid[]` | `recover()`
`void` | `registerLogControl(LogControl control)` Registers (adds) a LogControl instance to the administrator.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static XidLogAdministrator getInstance()

### registerLogControl

    public void registerLogControl(LogControl control)

  Description copied from interface: `LogAdministrator`
  Registers (adds) a LogControl instance to the administrator. This method is typically called right after initialization of the transaction service.

  Specified by:
    `registerLogControl` in interface `LogAdministrator`
  Parameters:
    `control` - The LogControl instance.
  See Also:
    `LogAdministrator.registerLogControl(com.atomikos.icatch.admin.LogControl)`

### deregisterLogControl

    public void deregisterLogControl(LogControl control)

  Description copied from interface: `LogAdministrator`
  De-registers (removes) a LogControl instance from the administrator. This method is typically called at shutdown of the transaction service.

  Specified by:
    `deregisterLogControl` in interface `LogAdministrator`
  Parameters:
    `control` - The LogControl instance to remove. Does nothing if the control is not registered.
  See Also:
    `LogAdministrator.deregisterLogControl(com.atomikos.icatch.admin.LogControl)`

### recover

    public Xid[] recover()
                  throws XAException

  Throws:
    `XAException`

### forget

    public void forget(Xid xid)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.